/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package sikd.ikonsol.ejb.session;

import java.util.List;
import javax.ejb.Remote;
import sikd.ikonsol.model.JenisLaporan;

/**
 *
 * @author Imam Bhoim
 */
@Remote
public interface JenisLaporanEjbHome {

    public List<JenisLaporan> findAll();
    
    public List<JenisLaporan> findAllLra();
    
    public List<JenisLaporan> findAllLak();

    public JenisLaporan findByID(int id);

    public JenisLaporan createNew();

    public JenisLaporan save(JenisLaporan obj);

    public JenisLaporan findByKode(String kode);

    public JenisLaporan update(JenisLaporan obj);

    public void delete(int id);

    public List<JenisLaporan> findByIdList(int id);

}
